카테고리 글 목록: Node.js

구 버전의 node를 사용해야 하는 프로젝트에서 npx 활용하기

개발 시스템의 메인 node.js 버전을 8로 올렸습니다.
대부분의 프로젝트는 문제가 없었습니다만 i18n-react를 사용하는 프로젝트 하나가 문제가 있었습니다.

i18n-react 패키지가 node 8에서는 인스톨도 되지 않고, 당연히 빌드도 되지가 않습니다.
이 하나의 프로젝트 때문에 메인 버전을 변경할 수는 없고… 다음과 같이 해결합니다.

우선 npx를 이용해 npm install을 해줍니다.
그리고 pakcage.json의 scirpts 부분에도 다음과 같이 npx로 사용할 버전을 명시해줍니다.

끝. 이제 다시 하던대로 계속 사용하면 됩니다.